package com.xxfc.platform.vehicle.mapper;

import com.xxfc.platform.vehicle.entity.BranchCompanyVehicleCount;
import com.xxfc.platform.vehicle.pojo.BranchCompanyVehicleCountVo;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;
import java.util.Map;

public interface BranchCompanyVehicleCountMapper extends Mapper<BranchCompanyVehicleCount> {

	List<BranchCompanyVehicleCountVo> getAllCountInfo(Map<String, Object> param);

	List<BranchCompanyVehicleCountVo> countByMonth(Map<String, Object> param);

	List<BranchCompanyVehicleCountVo> countByWeek(Map<String, Object> param);

}